YADIFAD(8)

NAME

YADIFAD is an authoritative name server.

SYNOPSIS

yadifad [--config|-c configfile] [--daemon|-d] [-u uid] [-g gid] [-V] [-h]

DESCRIPTION
yadifad is a Domain Name System (DNS) server, part of the YADIFA distrubution from EURid vzw/asbl. The latest version of YADIFA can be found on:
http://www.yadifa.eu/download

yadifad reads the zone files from yadifad.conf, and starts up an authoritative name server. It listens to UDP and TCP DNS queries and returns answers from its own database.

yadifad knows the main DNS protocols:

*   AXFR

*   IXFR

*   DNSSEC

*   DNS Update

*   NOTIFY

yadifad works only with 1 CLASS:

Class | Value | Definition
IN | 1 | Internet class

yadifad supports following TYPES:

Type | Value | Defining RFC
A | 1 | 1035
AAAA | 28 | 3596
CNAME | 5 | 1035
DNSKEY | 48 | 4034
DS | 43 | 4034
HINFO | 12 | 1035
MX | 15 | 1035
NAPTR | 35 | 3403
NS | 2 | 1035
NSEC | 47 | 4034
NSEC3 | 50 | 5155
NSEC3PARAM | 51 | 5155
PTR | 12 | 1035
RRSIG | 46 | 4034
SOA | 6 | 1035
SRV | 33 | 2782
SSHFP | 44 | 4255
TXT | 16 | 1035

Other tyes and pseudo resource records:

Type | Value | Defining RFC
* | 255 | 1035
AXFR | 252 | 1035
IXFR | 251 | 1035
OPT | 41 | 6891

OPTIONS

[--config|-c configfile]
     Another config file will be used.

[--daemon|-d]
     Starts the name server in daemon mode (default)

[--uid|-u uid]
     Starts the name server with the given uid.

[--gid|-g gid]
     Starts the name server with the given gid.

[-V]
     Shows version information.

[--help|-h]
     Shows a help text

SIGNALS

SIGHUP
    reloads the zone and key sections in the configuration file and reloads the zone file(s) with incremented serial number, and close all log files and reopens them.

SIGINT
    shutdowns the server

SIGTERM
    (see SIGINT)

FILES

yadifad.conf
     The YADIFA configuration file.

yadifad
     The name server binary.

yadifad.8
     This man page.

yadifad.conf.5
     Configuration man page for YADIFA.

SEE ALSO

yadifad.conf(5)

REQUIREMENTS

OpenSSL
    yadifad requires OpenSSL version 0.9.8 or later.

CHANGES
Please check the ChangeLog file from the source code.

VERSION

Version: 2.0.0 of 2014-07-02.

MAILING LISTS

There is a mailinglist for questions relating to any program in the yadifa package:

*   yadifa-users@mailinglists.yadifa.eu
    for submitting questions/answers.

*   http://www.yadifa.eu/mailing-list-users
    for subscription requests.

If you would like to stay informed about new versions and official patches send a subscription request to via:

*   http://www.yadifa.eu/mailing-list-announcements

(this is a read-only list).

LICENSE AND COPYRIGHT

Copyright
    (C)2012, EURid vzw/asbl
    B-1831 Diegem, Belgium
    info@yadifa.eu

AUTHORS

Gery Van Emelen
Email: Gery.VanEmelen@EURid.eu
Eric Diaz Fernandez
Email: Eric.DiazFernandez@EURid.eu

WWW: http://www.EURid.eu